org.apache.fop.render.afp.extensions

## Class AFPPageSegmentElement.AFPPageSegmentSetup

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPPageSetup
    - - org.apache.fop.render.afp.extensions.AFPPageSegmentElement.AFPPageSegmentSetup

All Implemented Interfaces:
  Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Enclosing class:
  AFPPageSegmentElement

    public static class AFPPageSegmentElement.AFPPageSegmentSetup
    extends AFPPageSetup

This is the pass-through value object for the AFP extension.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.render.afp.extensions.AFPPageSetup

`ATT_ENCODING, ATT_PLACEMENT, ATT_VALUE, content, encoding, placement, value`

### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`ATT_NAME, CATEGORY, elementName, name`

### Constructor Summary

Constructors
Constructor and Description
`AFPPageSegmentSetup(String elementName)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResourceSrc()` Returns the source URI for the page segment.
`void` `setResourceSrc(String resourceSrc)` Sets the source URI for the page segment.
`void` `toSAX(ContentHandler handler)`
`String` `toString()`

### Methods inherited from class org.apache.fop.render.afp.extensions.AFPPageSetup

`getContent, getEncoding, getPlacement, getValue, setContent, setEncoding, setPlacement, setValue`

### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

`getCategory, getElementName, getName, hasName, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPPageSegmentSetup

    public AFPPageSegmentSetup(String elementName)

Default constructor.

Parameters:
  `elementName` - the name of the setup code object, may be null

### Method Detail

#### getResourceSrc

    public String getResourceSrc()

Returns the source URI for the page segment.

Returns:
  the source URI

#### setResourceSrc

    public void setResourceSrc(String resourceSrc)

Sets the source URI for the page segment.

Parameters:
  `resourceSrc` - the source URI

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Specified by:
  `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
Overrides:
  `toSAX` in class `AFPPageSetup`
Throws:
  `SAXException`

#### toString

    public String toString()

Overrides:
  `toString` in class `AFPPageSetup`